petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatStencil

Data structure (C struct) for storing information about a single row or column of a matrix as indexed on an associated grid.

### Synopsis

    typedef struct {
      PetscInt k,j,i,c;
    } MatStencil;

Fortran usage is different, see MatSetValuesStencil() for details.

### See Also

MatSetValuesStencil(), MatSetStencil(), MatSetValuesBlockedStencil()

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex28.c.html